Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Interface DatatypeValidator

All Known Implementing Classes:
  IDREFDatatypeValidator, ListDatatypeValidator, NMTOKENDatatypeValidator, IDDatatypeValidator, ENTITYDatatypeValidator, StringDatatypeValidator, NOTATIONDatatypeValidator

public interface DatatypeValidator

The interface that a DTD datatype must implement. The implementation of this interface must be thread-safe.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DatatypeValidator.java 446751 2006-09-15 21:54:06Z mrglavas $
Author:
  Sandy Gao, IBM

Method Summary
`void` | `validate(java.lang.String content, ValidationContext context)` validate a given string against this DV

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  validate a given string against this DV
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.